D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ItemsManager Resource

DELETE /items/{id}

Request Parameters
name type description constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources  
id path  
force query required boolean
Response Body
media type data type description
application/json object (JSON)

Example

Request
DELETE /items/{id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /items/{id}

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
exclude query yes
Response Body
media type data type description
application/json ItemWrapperOfItem (JSON)

Example

Request
GET /items/{id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "MOVED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }
}
                
              

GET /items/{id}/anchestors

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
exclude query yes
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /items/{id}/anchestors
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

GET /items/{id}/children

Request Parameters
name type description constraints multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources   no
id path   no
exclude query   yes
onlyType query   no
showHidden query boolean no
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /items/{id}/children
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

PUT /items/{id}/copy

Request Parameters
name type description
destinationId form
fileName form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json string (JSON)

Example

Request
PUT /items/{id}/copy
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

PUT /items/{id}/description

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json object (JSON)

Example

Request
PUT /items/{id}/description
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /items/{id}/download

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
exclude query yes
Response Body
media type data type description
application/json object (JSON)

Example

Request
GET /items/{id}/download
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /items/{id}/hidden

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/json boolean (JSON)
Response Body
media type data type description
application/json object (JSON)

Example

Request
PUT /items/{id}/hidden
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /items/{id}/info

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json FolderInfoType (JSON)

Example

Request
GET /items/{id}/info
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "count" : 12345,
  "size" : 12345
}
                
              

GET /items/{id}/items

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
exclude query yes
name query no
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /items/{id}/items
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

PUT /items/{id}/metadata

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/json Metadata (JSON)
Response Body
media type data type description
application/json object (JSON)

Example

Request
PUT /items/{id}/metadata
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "map" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

PUT /items/{id}/move

Request Parameters
name type description
destinationId form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json string (JSON)

Example

Request
PUT /items/{id}/move
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /items/{id}/path

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
exclude query yes
path query no
Response Body
media type data type description
application/json ItemWrapperOfItem (JSON)

Example

Request
GET /items/{id}/path
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "MOVED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }
}
                
              

PUT /items/{id}/publish

Request Parameters
name type description constraints
publish form required boolean
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources  
id path  
Response Body
media type data type description
application/json string (JSON)

Example

Request
PUT /items/{id}/publish
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

PUT /items/{id}/rename

Request Parameters
name type description
newName form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json object (JSON)

Example

Request
PUT /items/{id}/rename
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /items/{id}/rootSharedFolder

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
exclude query yes
Response Body
media type data type description
application/json ItemWrapperOfItem (JSON)

Example

Request
GET /items/{id}/rootSharedFolder
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CLONED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }
}
                
              

GET /items/{id}/search

Request Parameters
name type description constraints multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources   no
id path   no
exclude query   yes
excludeTrashed query boolean no
name query   no
onlyType query   no
showHidden query boolean no
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /items/{id}/search
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CLONED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

GET /items/{id}/versions

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json VersionList (JSON)

Example

Request
GET /items/{id}/versions
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "id" : "...",
    "current" : true,
    "name" : "...",
    "created" : 12345
  }, {
    "id" : "...",
    "current" : true,
    "name" : "...",
    "created" : 12345
  } ]
}
                
              

GET /items/{id}/children/count

Request Parameters
name type description constraints multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources   no
id path   no
exclude query   yes
onlyType query   no
showHidden query boolean no
Response Body
media type data type description
application/json number (JSON)

Example

Request
GET /items/{id}/children/count
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}/children/paged

Request Parameters
name type description constraints multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources   no
id path   no
exclude query   yes
limit query int no
onlyType query   no
showHidden query boolean no
start query int no
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /items/{id}/children/paged
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

GET /items/{id}/items/{name}

This method has been deprecated.

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
id path no
name path no
exclude query yes
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /items/{id}/items/{name}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "RENAMED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CLONED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

DELETE /items/{id}/versions/{version}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
version path

Example

Request
DELETE /items/{id}/versions/{version}
Content-Type: */*
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content

              

GET /items/{id}/versions/{version}/download

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
version path
Response Body
media type data type description
application/json object (JSON)

Example

Request
GET /items/{id}/versions/{version}/download
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...